Subject: WG ACTION: S/MIME Mail Security (smime)

From: Steve Coya <[email-masked]>
Date: Fri, 07 Nov 1997 18:19:29 -0500

A new working group has been approved in the Security Area of the
IETF. Contact the Area Director or Working Group Chair for more
information.

S/MIME Mail Security (smime)
----------------------------

 Chair(s):
     Russ Housley <[email-masked]>
 
 Security Area Director(s): 
     Jeffrey Schiller  <[email-masked]>
 
 Security Area Advisor: 
     Jeffrey Schiller  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:[email-masked]
     To Subscribe:      [email-masked]
     Archive:           http://www.imc.org/ietf-smime/
 
Description of Working Group:
 
The S/MIME Working Group will define MIME encapsulation of digitally 
signed and encrypted objects whose format is based on PKCS #7. [1] X.509
Certificates and CRLs as profiled by the existing PKIX Working Group 
will be used to support authentication and key management. The Working 
Group will base its work on the S/MIME version 2 specification 
(available from RSA Data Security), but the Working Group will be free 
to change any part of that specification. In particular, the Working 
Group will prepare a new document that allows algorithm independence, 
based on PKCS #7 1.5.

The message syntax specification, based on PKCS #7 version 1.5, will be
expanded to allow additional key signature and key exchange algorithms. 
The message and certificate specifications will be revised to allow them 
to become standards. The optional security extensions document will 
specify protocols that allow for additional security features, such as 
signed message receipts.

The S/MIME Working Group will attempt to coordinate its efforts with the
OpenPGP Working Group in areas where the work of the two groups overlap,
particularly in specification of cryptographic algorithms and MIME 
structure.

[1] RSA Data Security publishes the PKCS Series of documents. RSA Data
Security has permitted the IETF to publish them as Informational RFCs as
well as to extend and enhance them.
 
 Goals and Milestones: 
 
   Nov 97       Submit First draft of message syntax specification as an I-D.  

   Nov 97       Submit First draft of S/MIME v3 message specification as an 
                I-D.                                                           

   Nov 97       Submit First draft of S/MIME optional security extensions as an
                I-D.                                                           

   Nov 97       Submit First draft of S/MIME v3 certificate specification as an
                I-D                                                            

   Dec 97       WG Last Call on Message Syntax.                                

   Dec 97       WG Last Call on Certifiticate Specification.                   

   Dec 97       WG Last Call on Message specification.                         

   Jan 98       WG Last Call on Optional Security Extensions.                  

   Jan 98       Submit Message Syntax I-D to IESG for consideration as a